import React from 'react';
import {observer, inject} from 'mobx-react';
import bind from 'bind-decorator';
import {
  Card,
  CardActions,
  CardHeader,
  CardMedia,
  CardTitle,
  AutoComplete,
  CardText,
  FlatButton,
  Divider,
  RaisedButton,
  Toolbar,
  DatePicker,
  FontIcon,
  SelectField,
  MenuItem,
  ToolbarGroup,
  FloatingActionButton,
  ToolbarSeparator,
  IconButton,
  ToolbarTitle,
  RadioButton, RadioButtonGroup, DropDownMenu,
  Tabs, Tab,
} from 'material-ui';
import {withRouter} from 'react-router';
import {BrowserRouter as Router, Route} from 'react-router-dom';
import StarBorder from 'material-ui/svg-icons/toggle/star-border';
import ContentAdd from 'material-ui/svg-icons/content/add';

import '../style.scss';
import {appConfig} from "../../../config/app";
import FormRailink from "./FormRailink";
import ListRailink from "./ListRailink";
import FormBook from "./FormBook";
import Confirmation from "./Confirmation";

@inject('appstate')
@observer
export default class Railink extends React.Component {
  constructor(props) {
    super(props);
    this.props = props;
    this.state = {
      value: 0
    };
    this.defaultState = Object.assign({}, this.state);
    this.http = props.appstate.http;
    this.authStore = props.appstate.auth;
  }

  componentDidMount() {
    console.log('Profile loaded!');

  }

  handleClickFind = () => {
    this.setState({
      value: 1
    })
  }

  handleClickBack = () => {
    this.setState({
      value: 0
    })
  }

  handleClickBook = () => {
    this.setState({
      value: 2
    })
  }

  handleBackForm = () => {
    this.setState({
      value: 1
    })
  }

  handleClickConfirmation = () => {
    this.setState({
      value: 3
    })
  };

  handleClickBackConfirmation = () => {
    this.setState({
      value: 2
    })
  }

  handleClickSeatMap = () => {
    this.setState({
      value: 4
    })
  }


  render() {

    return (
      <div className="row">
        <div className="col s12">
          {(this.state.value == 0) ? <FormRailink onClickFind={this.handleClickFind}/> : ''}
          {(this.state.value == 1) ?
            <ListRailink onClickBack={this.handleClickBack} onClickBuy={this.handleClickBook}/> : ''}
          {(this.state.value == 2) ?
            <FormBook onClickBack={this.handleBackForm} onConfirm={this.handleClickConfirmation}/> : ''}
          {(this.state.value == 3) ? <Confirmation onClickBack={this.handleClickBackConfirmation}/> : ''}
        </div>
      </div>
    )
  }
}
